org.eclipse.oomph.setup.workbench

## Interface WorkbenchPackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    WorkbenchPackageImpl

      public interface WorkbenchPackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `WorkbenchFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore schemaLocation='https://raw.githubusercontent.com/eclipse-oomph/oomph/master/setups/models/Workbench.ecore'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.workbench.p2' repository='${oomph.update.url}' installableUnits='org.eclipse.oomph.setup.workbench.feature.group'" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='https://raw.githubusercontent.com/eclipse-oomph/oomph/master/plugins/org.eclipse.oomph.setup.workbench.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `WorkbenchPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMAND_PARAMETER` The meta object id for the '`Command Parameter`' class.
    `static int` | `COMMAND_PARAMETER__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `COMMAND_PARAMETER__ID` The feature id for the 'ID' attribute.
    `static int` | `COMMAND_PARAMETER__VALUE` The feature id for the 'Value' attribute.
    `static int` | `COMMAND_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Command Parameter' class.
    `static WorkbenchPackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `FILE_ASSOCIATIONS_TASK` The meta object id for the '`File Associations Task`' class.
    `static int` | `FILE_ASSOCIATIONS_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `FILE_ASSOCIATIONS_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `FILE_ASSOCIATIONS_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `FILE_ASSOCIATIONS_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `FILE_ASSOCIATIONS_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `FILE_ASSOCIATIONS_TASK__MAPPINGS` The feature id for the 'Mappings' containment reference list.
    `static int` | `FILE_ASSOCIATIONS_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `FILE_ASSOCIATIONS_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `FILE_ASSOCIATIONS_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `FILE_ASSOCIATIONS_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `FILE_ASSOCIATIONS_TASK_FEATURE_COUNT` The number of structural features of the 'File Associations Task' class.
    `static int` | `FILE_EDITOR` The meta object id for the '`File Editor`' class.
    `static int` | `FILE_EDITOR__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `FILE_EDITOR__ID` The feature id for the 'ID' attribute.
    `static int` | `FILE_EDITOR_FEATURE_COUNT` The number of structural features of the 'File Editor' class.
    `static int` | `FILE_MAPPING` The meta object id for the '`File Mapping`' class.
    `static int` | `FILE_MAPPING__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `FILE_MAPPING__DEFAULT_EDITOR_ID` The feature id for the 'Default Editor ID' attribute.
    `static int` | `FILE_MAPPING__EDITORS` The feature id for the 'Editors' containment reference list.
    `static int` | `FILE_MAPPING__FILE_PATTERN` The feature id for the 'File Pattern' attribute.
    `static int` | `FILE_MAPPING_FEATURE_COUNT` The number of structural features of the 'File Mapping' class.
    `static int` | `KEY_BINDING_CONTEXT` The meta object id for the '`Key Binding Context`' class.
    `static int` | `KEY_BINDING_CONTEXT__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `KEY_BINDING_CONTEXT__ID` The feature id for the 'ID' attribute.
    `static int` | `KEY_BINDING_CONTEXT_FEATURE_COUNT` The number of structural features of the 'Key Binding Context' class.
    `static int` | `KEY_BINDING_TASK` The meta object id for the '`Key Binding Task`' class.
    `static int` | `KEY_BINDING_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `KEY_BINDING_TASK__COMMAND` The feature id for the 'Command' attribute.
    `static int` | `KEY_BINDING_TASK__COMMAND_PARAMETERS` The feature id for the 'Command Parameters' containment reference list.
    `static int` | `KEY_BINDING_TASK__CONTEXTS` The feature id for the 'Contexts' containment reference list.
    `static int` | `KEY_BINDING_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `KEY_BINDING_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `KEY_BINDING_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `KEY_BINDING_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `KEY_BINDING_TASK__KEYS` The feature id for the 'Keys' attribute.
    `static int` | `KEY_BINDING_TASK__LOCALE` The feature id for the 'Locale' attribute.
    `static int` | `KEY_BINDING_TASK__PLATFORM` The feature id for the 'Platform' attribute.
    `static int` | `KEY_BINDING_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `KEY_BINDING_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `KEY_BINDING_TASK__SCHEME` The feature id for the 'Scheme' attribute.
    `static int` | `KEY_BINDING_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `KEY_BINDING_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `KEY_BINDING_TASK_FEATURE_COUNT` The number of structural features of the 'Key Binding Task' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EAttribute` | `getCommandParameter_ID()` Returns the meta object for the attribute '`ID`'.
    `EAttribute` | `getCommandParameter_Value()` Returns the meta object for the attribute '`Value`'.
    `EClass` | `getCommandParameter()` Returns the meta object for class '`Command Parameter`'.
    `EReference` | `getFileAssociationsTask_Mappings()` Returns the meta object for the containment reference list '`Mappings`'.
    `EClass` | `getFileAssociationsTask()` Returns the meta object for class '`File Associations Task`'.
    `EAttribute` | `getFileEditor_ID()` Returns the meta object for the attribute '`ID`'.
    `EClass` | `getFileEditor()` Returns the meta object for class '`File Editor`'.
    `EAttribute` | `getFileMapping_DefaultEditorID()` Returns the meta object for the attribute '`Default Editor ID`'.
    `EReference` | `getFileMapping_Editors()` Returns the meta object for the containment reference list '`Editors`'.
    `EAttribute` | `getFileMapping_FilePattern()` Returns the meta object for the attribute '`File Pattern`'.
    `EClass` | `getFileMapping()` Returns the meta object for class '`File Mapping`'.
    `EAttribute` | `getKeyBindingContext_ID()` Returns the meta object for the attribute '`ID`'.
    `EClass` | `getKeyBindingContext()` Returns the meta object for class '`Key Binding Context`'.
    `EAttribute` | `getKeyBindingTask_Command()` Returns the meta object for the attribute '`Command`'.
    `EReference` | `getKeyBindingTask_CommandParameters()` Returns the meta object for the containment reference list '`Command Parameters`'.
    `EReference` | `getKeyBindingTask_Contexts()` Returns the meta object for the containment reference list '`Contexts`'.
    `EAttribute` | `getKeyBindingTask_Keys()` Returns the meta object for the attribute '`Keys`'.
    `EAttribute` | `getKeyBindingTask_Locale()` Returns the meta object for the attribute '`Locale`'.
    `EAttribute` | `getKeyBindingTask_Platform()` Returns the meta object for the attribute '`Platform`'.
    `EAttribute` | `getKeyBindingTask_Scheme()` Returns the meta object for the attribute '`Scheme`'.
    `EClass` | `getKeyBindingTask()` Returns the meta object for class '`Key Binding Task`'.
    `WorkbenchFactory` | `getWorkbenchFactory()` Returns the factory that creates the instances of the model.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final WorkbenchPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### FILE_ASSOCIATIONS_TASK

          static final int FILE_ASSOCIATIONS_TASK

      The meta object id for the '`File Associations Task`' class.
      See Also:
        `FileAssociationsTaskImpl`, `WorkbenchPackageImpl.getFileAssociationsTask()`, Constant Field Values
      Generated

    - #### FILE_ASSOCIATIONS_TASK__ANNOTATIONS

          static final int FILE_ASSOCIATIONS_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__ID

          static final int FILE_ASSOCIATIONS_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__DESCRIPTION

          static final int FILE_ASSOCIATIONS_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__SCOPE_TYPE

          static final int FILE_ASSOCIATIONS_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__EXCLUDED_TRIGGERS

          static final int FILE_ASSOCIATIONS_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__DISABLED

          static final int FILE_ASSOCIATIONS_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__PREDECESSORS

          static final int FILE_ASSOCIATIONS_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__SUCCESSORS

          static final int FILE_ASSOCIATIONS_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__RESTRICTIONS

          static final int FILE_ASSOCIATIONS_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK__MAPPINGS

          static final int FILE_ASSOCIATIONS_TASK__MAPPINGS

      The feature id for the 'Mappings' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_ASSOCIATIONS_TASK_FEATURE_COUNT

          static final int FILE_ASSOCIATIONS_TASK_FEATURE_COUNT

      The number of structural features of the 'File Associations Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_MAPPING

          static final int FILE_MAPPING

      The meta object id for the '`File Mapping`' class.
      See Also:
        `FileMappingImpl`, `WorkbenchPackageImpl.getFileMapping()`, Constant Field Values
      Generated

    - #### FILE_MAPPING__ANNOTATIONS

          static final int FILE_MAPPING__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_MAPPING__FILE_PATTERN

          static final int FILE_MAPPING__FILE_PATTERN

      The feature id for the 'File Pattern' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_MAPPING__DEFAULT_EDITOR_ID

          static final int FILE_MAPPING__DEFAULT_EDITOR_ID

      The feature id for the 'Default Editor ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_MAPPING__EDITORS

          static final int FILE_MAPPING__EDITORS

      The feature id for the 'Editors' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_MAPPING_FEATURE_COUNT

          static final int FILE_MAPPING_FEATURE_COUNT

      The number of structural features of the 'File Mapping' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_EDITOR

          static final int FILE_EDITOR

      The meta object id for the '`File Editor`' class.
      See Also:
        `FileEditorImpl`, `WorkbenchPackageImpl.getFileEditor()`, Constant Field Values
      Generated

    - #### FILE_EDITOR__ANNOTATIONS

          static final int FILE_EDITOR__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_EDITOR__ID

          static final int FILE_EDITOR__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### FILE_EDITOR_FEATURE_COUNT

          static final int FILE_EDITOR_FEATURE_COUNT

      The number of structural features of the 'File Editor' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK

          static final int KEY_BINDING_TASK

      The meta object id for the '`Key Binding Task`' class.
      See Also:
        `KeyBindingTaskImpl`, `WorkbenchPackageImpl.getKeyBindingTask()`, Constant Field Values
      Generated

    - #### KEY_BINDING_TASK__ANNOTATIONS

          static final int KEY_BINDING_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__ID

          static final int KEY_BINDING_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__DESCRIPTION

          static final int KEY_BINDING_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__SCOPE_TYPE

          static final int KEY_BINDING_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__EXCLUDED_TRIGGERS

          static final int KEY_BINDING_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__DISABLED

          static final int KEY_BINDING_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__PREDECESSORS

          static final int KEY_BINDING_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__SUCCESSORS

          static final int KEY_BINDING_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__RESTRICTIONS

          static final int KEY_BINDING_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__SCHEME

          static final int KEY_BINDING_TASK__SCHEME

      The feature id for the 'Scheme' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__CONTEXTS

          static final int KEY_BINDING_TASK__CONTEXTS

      The feature id for the 'Contexts' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__PLATFORM

          static final int KEY_BINDING_TASK__PLATFORM

      The feature id for the 'Platform' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__LOCALE

          static final int KEY_BINDING_TASK__LOCALE

      The feature id for the 'Locale' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__KEYS

          static final int KEY_BINDING_TASK__KEYS

      The feature id for the 'Keys' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__COMMAND

          static final int KEY_BINDING_TASK__COMMAND

      The feature id for the 'Command' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK__COMMAND_PARAMETERS

          static final int KEY_BINDING_TASK__COMMAND_PARAMETERS

      The feature id for the 'Command Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_TASK_FEATURE_COUNT

          static final int KEY_BINDING_TASK_FEATURE_COUNT

      The number of structural features of the 'Key Binding Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_CONTEXT

          static final int KEY_BINDING_CONTEXT

      The meta object id for the '`Key Binding Context`' class.
      See Also:
        `KeyBindingContextImpl`, `WorkbenchPackageImpl.getKeyBindingContext()`, Constant Field Values
      Generated

    - #### KEY_BINDING_CONTEXT__ANNOTATIONS

          static final int KEY_BINDING_CONTEXT__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_CONTEXT__ID

          static final int KEY_BINDING_CONTEXT__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### KEY_BINDING_CONTEXT_FEATURE_COUNT

          static final int KEY_BINDING_CONTEXT_FEATURE_COUNT

      The number of structural features of the 'Key Binding Context' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### COMMAND_PARAMETER

          static final int COMMAND_PARAMETER

      The meta object id for the '`Command Parameter`' class.
      See Also:
        `CommandParameterImpl`, `WorkbenchPackageImpl.getCommandParameter()`, Constant Field Values
      Generated

    - #### COMMAND_PARAMETER__ANNOTATIONS

          static final int COMMAND_PARAMETER__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### COMMAND_PARAMETER__ID

          static final int COMMAND_PARAMETER__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### COMMAND_PARAMETER__VALUE

          static final int COMMAND_PARAMETER__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### COMMAND_PARAMETER_FEATURE_COUNT

          static final int COMMAND_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Command Parameter' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getFileAssociationsTask

          EClass getFileAssociationsTask()

      Returns the meta object for class '`File Associations Task`'.
      Returns:
        the meta object for class 'File Associations Task'.
      See Also:
        `FileAssociationsTask`
      Generated

    - #### getFileAssociationsTask_Mappings

          EReference getFileAssociationsTask_Mappings()

      Returns the meta object for the containment reference list '`Mappings`'.
      Returns:
        the meta object for the containment reference list 'Mappings'.
      See Also:
        `FileAssociationsTask.getMappings()`, `getFileAssociationsTask()`
      Generated

    - #### getFileMapping

          EClass getFileMapping()

      Returns the meta object for class '`File Mapping`'.
      Returns:
        the meta object for class 'File Mapping'.
      See Also:
        `FileMapping`
      Generated

    - #### getFileMapping_FilePattern

          EAttribute getFileMapping_FilePattern()

      Returns the meta object for the attribute '`File Pattern`'.
      Returns:
        the meta object for the attribute 'File Pattern'.
      See Also:
        `FileMapping.getFilePattern()`, `getFileMapping()`
      Generated

    - #### getFileMapping_DefaultEditorID

          EAttribute getFileMapping_DefaultEditorID()

      Returns the meta object for the attribute '`Default Editor ID`'.
      Returns:
        the meta object for the attribute 'Default Editor ID'.
      See Also:
        `FileMapping.getDefaultEditorID()`, `getFileMapping()`
      Generated

    - #### getFileMapping_Editors

          EReference getFileMapping_Editors()

      Returns the meta object for the containment reference list '`Editors`'.
      Returns:
        the meta object for the containment reference list 'Editors'.
      See Also:
        `FileMapping.getEditors()`, `getFileMapping()`
      Generated

    - #### getFileEditor

          EClass getFileEditor()

      Returns the meta object for class '`File Editor`'.
      Returns:
        the meta object for class 'File Editor'.
      See Also:
        `FileEditor`
      Generated

    - #### getFileEditor_ID

          EAttribute getFileEditor_ID()

      Returns the meta object for the attribute '`ID`'.
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `FileEditor.getID()`, `getFileEditor()`
      Generated

    - #### getKeyBindingTask

          EClass getKeyBindingTask()

      Returns the meta object for class '`Key Binding Task`'.
      Returns:
        the meta object for class 'Key Binding Task'.
      See Also:
        `KeyBindingTask`
      Generated

    - #### getKeyBindingTask_Scheme

          EAttribute getKeyBindingTask_Scheme()

      Returns the meta object for the attribute '`Scheme`'.
      Returns:
        the meta object for the attribute 'Scheme'.
      See Also:
        `KeyBindingTask.getScheme()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Contexts

          EReference getKeyBindingTask_Contexts()

      Returns the meta object for the containment reference list '`Contexts`'.
      Returns:
        the meta object for the containment reference list 'Contexts'.
      See Also:
        `KeyBindingTask.getContexts()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Platform

          EAttribute getKeyBindingTask_Platform()

      Returns the meta object for the attribute '`Platform`'.
      Returns:
        the meta object for the attribute 'Platform'.
      See Also:
        `KeyBindingTask.getPlatform()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Locale

          EAttribute getKeyBindingTask_Locale()

      Returns the meta object for the attribute '`Locale`'.
      Returns:
        the meta object for the attribute 'Locale'.
      See Also:
        `KeyBindingTask.getLocale()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Keys

          EAttribute getKeyBindingTask_Keys()

      Returns the meta object for the attribute '`Keys`'.
      Returns:
        the meta object for the attribute 'Keys'.
      See Also:
        `KeyBindingTask.getKeys()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Command

          EAttribute getKeyBindingTask_Command()

      Returns the meta object for the attribute '`Command`'.
      Returns:
        the meta object for the attribute 'Command'.
      See Also:
        `KeyBindingTask.getCommand()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_CommandParameters

          EReference getKeyBindingTask_CommandParameters()

      Returns the meta object for the containment reference list '`Command Parameters`'.
      Returns:
        the meta object for the containment reference list 'Command Parameters'.
      See Also:
        `KeyBindingTask.getCommandParameters()`, `getKeyBindingTask()`
      Generated

    - #### getKeyBindingContext

          EClass getKeyBindingContext()

      Returns the meta object for class '`Key Binding Context`'.
      Returns:
        the meta object for class 'Key Binding Context'.
      See Also:
        `KeyBindingContext`
      Generated

    - #### getKeyBindingContext_ID

          EAttribute getKeyBindingContext_ID()

      Returns the meta object for the attribute '`ID`'.
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `KeyBindingContext.getID()`, `getKeyBindingContext()`
      Generated

    - #### getCommandParameter

          EClass getCommandParameter()

      Returns the meta object for class '`Command Parameter`'.
      Returns:
        the meta object for class 'Command Parameter'.
      See Also:
        `CommandParameter`
      Generated

    - #### getCommandParameter_ID

          EAttribute getCommandParameter_ID()

      Returns the meta object for the attribute '`ID`'.
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `CommandParameter.getID()`, `getCommandParameter()`
      Generated

    - #### getCommandParameter_Value

          EAttribute getCommandParameter_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `CommandParameter.getValue()`, `getCommandParameter()`
      Generated

    - #### getWorkbenchFactory

          WorkbenchFactory getWorkbenchFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html